Bug 862527 - [RFE] Integration of rhevm-config, rhevm-iso-uploader, rhevm-manage-domains in GUI
[RFE] Integration of rhevm-config, rhevm-iso-uploader, rhevm-manage-domains i...
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Arthur Berezin
yeylon@redhat.com
integration
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 03:05 EDT by Koen van Bakel
Modified: 2016-04-18 02:44 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-25 13:54:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Koen van Bakel 2012-10-03 03:05:10 EDT
Description of problem:

The tools in RHEV: rhevm-config, rhevm-iso-uploader and rhevm-manage-domains are command line tools. It would be good to have these commands integrated in the WebAdmin GUI. Reason: non-linux customers / users do not feel comfortable using these tools.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Scott McCarty 2013-07-18 08:40:14 EDT
Having rhevm-iso-uploader integrated in the GUI is a little more than just a nice to have. 

Several times, I have been on-site with customers who have a corporate standard of Microsoft Windows Destkops. Everytime this happens, we have to find a "non-production" server, somewhere on their network, onto which we can install the rhevm-iso-uploader package.

Then, we have to download the installer ISOs to the local Desktop, typically RHEL5/6 and/or some form of Windows for testing. Then, we have to copy the ISOs from their desktop network, to wherever the data center is, which is often a WAN link.

Then, we have to use the rhevm-iso-uploader to push the ISO into the RHEV Manager. I have even seen the "non-production" usable server for the rhevm-iso-uploader be on a different network than the RHEV-M which took even longer.

As an alternative, we can use the scp version of Putty that comes with Putty to directly copy it to RHEV-M machine, but then we have to manually change permissions on a strange long path, which doesn't demo well.
Comment 6 Itamar Heim 2014-02-25 13:55:04 EST
closing - requesting to open specific RFEs for each issue.

Note You need to log in before you can comment on or make changes to this bug.